<header>
  <link rel="stylesheet"
    href="https://cdn.jsdelivr.net/npm/bootstrap@3.3.7/dist/css/bootstrap.min.css"
    integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u"
    crossorigin="anonymous">
</header>
<h1 style="text-align:center;font-weight: bold;background-image:
  linear-gradient(135deg, #cf16a1 10%, #cf16a1 10%);color: white;">
  <p style="float:left;color:white;margin-right: 20px;">All Products</p>
  <a style="float:right;color:black;margin-right: 20px;" href="/logout">logout</a>
  <a style="float:right;color:black;margin-right: 20px;" href="/login">login</a>
  <a href="/signup"style="float:right;color:black;margin-right: 20px;">Signup</a>
  <a style="float:right;color:black;margin-left: 5px;margin-right: 20px;"
    href="/view-cart">cart</a>

  <a style="float:right;color:black;margin-left: 20px;margin-right: 20px;"
    href="/view-orders">My-orders</a>
  <a style="color:black;margin-left:730px;" href="/category-products">All
    categories</a>


</h1>


<div class="container-fluid">
  <% for (let x of sub_category) { %>
    <div class="col-xl-3 col-lg-2 col-md-1">
      <div class="card hello" style="margin-bottom:10px;">
        <img src="/images/img_avatar.png" alt="Avatar" style="width:100%">
        <div class="container-fluid hello">
          <p>Name : <%= x.name%></p>
            <p>Price : <%= x.price%></p>
              <p>Model : <%= x.model_details%></p>
                <p><a href="/buy/<%= x.id%>"><button>Buy Now</button></a></p>
                <p><a href="/add-to-cart/<%= x.id%>"><button>Add Cart</button></a></p>
              </div>

            </div>
          </div>

          <!-- <div class=" col-lg-1 "></div> -->
          <% } %>
          </div>